# Uses of Enum Class
org.apache.solr.common.params.CoreAdminParams.CoreAdminAction

Packages that use CoreAdminParams.CoreAdminAction
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.params
Parameter constants and enumerations.

## Uses of CoreAdminParams.CoreAdminAction in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as CoreAdminParams.CoreAdminAction
Modifier and Type
Field
Description
`protected CoreAdminParams.CoreAdminAction`
CoreAdminRequest.`action`
Methods in org.apache.solr.client.solrj.request with parameters of type CoreAdminParams.CoreAdminAction
Modifier and Type
Method
Description
`void`
CoreAdminRequest.`setAction(CoreAdminParams.CoreAdminAction action)`

## Uses of CoreAdminParams.CoreAdminAction in org.apache.solr.common.params

Methods in org.apache.solr.common.params that return CoreAdminParams.CoreAdminAction
Modifier and Type
Method
Description
`static CoreAdminParams.CoreAdminAction`
CoreAdminParams.CoreAdminAction.`get(String p)`
`static CoreAdminParams.CoreAdminAction`
CoreAdminParams.CoreAdminAction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CoreAdminParams.CoreAdminAction[]`
CoreAdminParams.CoreAdminAction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.